| gclib 2.0.7 Communications API for Galil controllers and PLCs |

Public Member Functions | Data Fields
Gclib.GDataRecord47300_ENC Struct Reference
Inheritance diagram for Gclib.GDataRecord47300_ENC:

## Public Member Functions
Pulse | counter (see PC). */public SL zc_variable
| /*52-55
ZC User defined | variable (see ZC). */public SL zd_variable
| /*56-59
ZD User defined | variable (see ZD). */public SL encoder_0
| /*60-63
Encoder channel.Data only valid for parts with or SSI.* | byte_array ()

## Data Fields
UB | header_0
| /*00
byte of Header.*UB | header_1
| /*01
byte of Header.*UB | header_2
| /*02
byte of Header.*UB | header_3
| /*03
byte of Header.*UW | sample_number
| /*04-05
Sample number.*UB | error_code
| /*06
Error code.*UB | general_status
| /*07
General status.*UW | output_analog_0
| /*08-09
Analog output.*UW | output_analog_1
| /*10-11
Analog output.*UW | output_analog_2
| /*12-13
Analog output.*UW | output_analog_3
| /*14-15
Analog output.*UW | output_analog_4
| /*16-17
Analog output.*UW | output_analog_5
| /*18-19
Analog output.*UW | output_analog_6
| /*20-21
Analog output.*UW | output_analog_7
| /*22-23
Analog output.*UW | input_analog_0
| /*24-25
Analog input.*UW | input_analog_1
| /*26-27
Analog input.*UW | input_analog_2
| /*28-29
Analog input.*UW | input_analog_3
| /*30-31
Analog input.*UW | input_analog_4
| /*32-33
Analog input.*UW | input_analog_5
| /*34-35
Analog input.*UW | input_analog_6
| /*36-37
Analog input.*UW | input_analog_7
| /*38-39
Analog input.*UW | output_bank_0
| /*40-41
Digital | outputs
*UW | output_bank_1
| /*42-43
*UW | input_bank_0
| /*44-45
Digital | inputs
*UW | input_bank_1
| /*46-47
*UL | pulse_count_0
| /*48-51
Encoder channel.Data only valid for parts with | BISS
Encoder channel.Data only valid for parts with | QUAD
Encoder channel.Data only valid for parts with or SSI.*SL | encoder_1
| /*64-67
Encoder channel.Data only valid for parts with or SSI.*SL | encoder_2
| /*68-71
Encoder channel.Data only valid for parts with or SSI.*SL | encoder_3
| /*72-75

## Detailed Description

Definition at line 1230 of file gclib.vb.

The documentation for this struct was generated from the following file:

- gclib.vb